
Redmine - Defect #34894

User link using @ not working at the end of line

2021-03-15 13:56 - Dmitry Makurin 

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version: 4.1.3   

Resolution: Fixed Affected version: 4.1.0

Description

Redmine fails to parse mention like @jsmith. (with dot at the end)

At source:trunk/app/helpers/application_helper.rb#L1286 regex extracts full line with all extra sybmols like _-@. and thus can't fide a

user with that login.

It only affects separator @, user:jsmith. or Thomas Lecavelier. works fine.

Small patch with fix and test in attachment.

Associated revisions

Revision 20936 - 2021-04-13 05:04 - Go MAEDA

Fix user link using @ not working at the end of line (#34894).

Patch by Marius BALTEANU.

Revision 20942 - 2021-04-14 02:23 - Go MAEDA

Merged r20936 from trunk to 4.2-stable (#34894).

Revision 20943 - 2021-04-14 02:25 - Go MAEDA

Merged r20936 from trunk to 4.1-stable (#34894).

History

#1 - 2021-04-10 01:54 - Marius BĂLTEANU

- Assignee set to Marius BĂLTEANU

#2 - 2021-04-11 09:31 - Marius BĂLTEANU

- Status changed from New to Confirmed

- Target version set to 4.1.3

- Affected version set to 4.1.0

#3 - 2021-04-11 09:47 - Marius BĂLTEANU

- File 0001-Fix-user-mention-using-not-working-at-the-end-of-lin.patch added

- Assignee deleted (Marius BĂLTEANU)

Dmitry, thanks for reporting and fixing this issue, it looks good to me with one mention: we don't need a new test for this case, it's enough to add this

case at the existing test.

The patch passes all the tests: https://gitlab.com/redmine-org/redmine/-/pipelines/284519558

#4 - 2021-04-12 18:38 - Dmitry Makurin 

Marius BALTEANU wrote:

we don't need a new test for this case, it's enough to add this case at the existing test.
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/app/helpers/application_helper.rb#L1286
https://www.redmine.org/users/2
https://gitlab.com/redmine-org/redmine/-/pipelines/284519558


 Just wanted to show the difference between other regexs in same situation. Initially only @ was a problem.

#5 - 2021-04-13 05:05 - Go MAEDA

- Subject changed from User mention at the end of line to user link using @ not working at the end of line

- Category set to Text formatting

- Status changed from Confirmed to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix. Thank you all for reporting and fixing the issue.

#6 - 2021-04-14 02:26 - Go MAEDA

- Status changed from Resolved to Closed

#7 - 2021-04-14 08:23 - Marius BĂLTEANU

- Subject changed from user link using @ not working at the end of line to User link using @ not working at the end of line

Files

Fixes_user_mention_at_the_end_of_line_.patch 1.53 KB 2021-03-15 Dmitry Makurin 

0001-Fix-user-mention-using-not-working-at-the-end-of-lin.patch 1.64 KB 2021-04-11 Marius BĂLTEANU
